Get standard API order sync settings
GET /api/v5/bookings/sync
GET
/api/v5/bookings/sync
Returns the order-sync configuration for the key: which order statuses (pending, processing, on-hold, completed, cancelled, refunded, failed) are synced and whether multi-warehouse is enabled. Requires an API key.
Authorizations
Section titled “Authorizations ”Responses
Section titled “ Responses ”Order sync settings
object
enable_sync
Present and “disabled” when order syncing is turned off.
string
pending
“on” when orders with pending status are synced.
string
processing
“on” when orders with processing status are synced.
string
onhold
“on” when on-hold orders are synced.
string
completed
“on” when completed orders are synced.
string
cancelled
“on” when cancelled orders are synced.
string
refunded
“on” when refunded orders are synced.
string
failed
“on” when failed orders are synced.
string
Missing or invalid API key
object
error
required
Human-readable settings error message.
string
API key not found
object
error
required
Human-readable settings error message.
string